Fix some missing quoting

PR:		ports/170087
Submitted by:	Vincent Hoffman-Kazlauskas <vince@unsane.co.uk>, Denis Generalov <gd@powernet.ru>
This commit is contained in:
Baptiste Daroussin 2012-07-24 09:04:13 +00:00
parent 49137b5779
commit 7df28735bf
Notes: svn2git 2021-03-31 03:12:20 +00:00
svn path=/head/; revision=301447
2 changed files with 21 additions and 0 deletions

View File

@ -7,6 +7,7 @@
PORTNAME= poudriere
PORTVERSION= 1.5.4
PORTREVISION= 1
CATEGORIES= ports-mgmt
MASTER_SITES= http://files.etoilebsd.net/poudriere/

View File

@ -0,0 +1,20 @@
--- ./src/poudriere.d/common.sh.orig 2012-07-04 12:38:06.000000000 +0200
+++ ./src/poudriere.d/common.sh 2012-07-24 10:58:57.289711665 +0200
@@ -610,7 +610,7 @@
local pn
msg "Caching missing port versions"
while read port; do
- if ! egrep -q "^${port} " ${cache}; then
+ if ! grep -q "^${port} " ${cache}; then
pn=$(injail make -C /usr/ports/${port} -VPKGNAME)
echo "${port} ${pn}" >> ${cache}
fi
@@ -635,7 +635,7 @@
export LOCALBASE=${MYBASE:-/usr/local}
while read p; do
pn=$(awk -v o=${p} ' { if ($1 == o) {print $2} }' ${cache})
- [ ! -f ${PKGDIR}/All/${pn}.${EXT} ] && queue="${queue} $p"
+ [ ! -f "${PKGDIR}/All/${pn}.${EXT}" ] && queue="${queue} $p"
done < ${tmplist2}
rm -f ${tmplist2} ${deplist} ${tmplist}